Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
transfer-total
Wallet - Transfer Total
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/transfer-total \
  --header 'Authorization: Bearer <token>'
{
  "total": 125
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

tokenAddress
string

An address of a token

fromTimestamp
integer<int64>

Filter transfers after this timestamp (Unix epoch seconds)

toTimestamp
integer<int64>

Filter transfers before this timestamp (Unix epoch seconds)

minTokenAmount
string

Minimum token amount filter (inclusive)

maxTokenAmount
string

Maximum token amount filter (inclusive)

minTokenAmountInUsd
string

Minimum token amount in USD filter (inclusive)

maxTokenAmountInUsd
string

Maximum token amount in USD filter (inclusive)

Response

200 - application/json

Successful response

total
integer<int64>
required
Example:

125